Documentation
Servers

Get remote server config

Fetches and returns the public /configs endpoint of the remote server.

GET
/api/servers/{address}/configs

Path Parameters

address*string

Response Body

application/json

application/json

application/json

curl -X GET "https://loading/api/servers/string/configs"
{
  "data": {
    "allowUserRegistration": true,
    "allowInstanceCreation": true,
    "allowInstanceCreationByExternal": false,
    "allowWorldCreation": true,
    "allowWorldCreationByExternal": false,
    "allowAvatarCreation": true,
    "allowAvatarCreationByExternal": false,
    "regions": [
      "eu-west",
      "us-east"
    ],
    "defaultRegion": "eu-west",
    "allowedImageWidths": [
      64,
      128,
      256,
      512,
      1024,
      1280,
      1920
    ],
    "supportPasskey": true
  },
  "error": null,
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}